# Uses of Interface
javax.xml.stream.XMLResolver

Packages that use XMLResolver
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).

## Uses of XMLResolver in javax.xml.catalog

Subinterfaces of XMLResolver in javax.xml.catalog
Modifier and Type
Interface
Description
`interface`
`CatalogResolver`
A Catalog Resolver that implements SAX `EntityResolver`, StAX `XMLResolver`, DOM LS `LSResourceResolver` used by Schema Validation, and Transform `URIResolver`, and resolves external references using catalogs.

## Uses of XMLResolver in javax.xml.stream

Methods in javax.xml.stream that return XMLResolver
Modifier and Type
Method
Description
`abstract XMLResolver`
XMLInputFactory.`getXMLResolver()`
The resolver that will be set on any XMLStreamReader or XMLEventReader created by this factory instance.
Methods in javax.xml.stream with parameters of type XMLResolver
Modifier and Type
Method
Description
`abstract void`
XMLInputFactory.`setXMLResolver​(XMLResolver resolver)`
The resolver that will be set on any XMLStreamReader or XMLEventReader created by this factory instance.